Last Comment Bug 772077 - [BrowserAPI] Fix test_browserElement_inproc_ContextmenuEvents.html so it doesn't do SimpleTest.finish() twice
: [BrowserAPI] Fix test_browserElement_inproc_ContextmenuEvents.html so it doe...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 756371
  Show dependency treegraph
 
Reported: 2012-07-09 08:12 PDT by Justin Lebar (not reading bugmail)
Modified: 2013-04-04 13:53 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1.21 KB, patch)
2012-07-09 08:27 PDT, Justin Lebar (not reading bugmail)
dale: review+
dale: review+
Details | Diff | Splinter Review

Description Justin Lebar (not reading bugmail) 2012-07-09 08:12:56 PDT
The context menu test registers an onerror handler and calls SimpleTest.finish() off that handler.

It seems that we sometimes get two error events instead of one.  We end up calling finish() twice, which causes an error in the /next/ test.

That we're getting two errors doesn't seem particularly notable to me (I didn't investigate why); this change fixes things by ignoring all but the first error.  We can do a follow-up to see why we're getting two errors, if we think that might be indicative of a problem.
Comment 1 Justin Lebar (not reading bugmail) 2012-07-09 08:27:46 PDT
Created attachment 640233 [details] [diff] [review]
Patch v1
Comment 2 Dale Harvey (:daleharvey) 2012-07-09 18:13:49 PDT
Is that the correct way to r+ a change? happy with this change though, its a safer test, I will investigate why the second error is thrown, I have other contextmenu work to do
Comment 3 Justin Lebar (not reading bugmail) 2012-07-09 19:43:00 PDT
> Is that the correct way to r+ a change?

Close.  You set the justin.lebar+bug review? to review+.  As is, you still have a pending review.  :)

Thanks for the r+, though!
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-07-10 15:48:03 PDT
https://hg.mozilla.org/mozilla-central/rev/552418e64261
Comment 5 Mozilla RelEng Bot 2012-07-12 16:15:28 PDT
Try run for 726feb8e3105 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=726feb8e3105
Results (out of 72 total builds):
    success: 62
    warnings: 8
    failure: 2
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/jlebar@mozilla.com-726feb8e3105

Note You need to log in before you can comment on or make changes to this bug.